# 00.Remarques générales

### Contenu
Globalement un contenu très (très) riche ! Surtout si on inclut toutes les références. 

L'ouverture sur différentes disciplines est intéressante.
La mise en perspective historique aussi.

### Pédagogie
Les explications sont claires.
Globalement le tempo est lent.
En x1.5, ça passe mieux !

### Choix des outils
Pas forcément applicable au monde de l'entreprise. Confidentialité Git ?

# 0.Posons le décor
Pas si simple de définir la reproductibilité dans différents domaines de recherche.
[Texte recherche reproductible](https://gitlab.inria.fr/learninglab/mooc-rr/mooc-rr-ressources/blob/master//module0/ressources/ReproducibilityCrisisHistory_fr.md)

La transparence permet d'aller dans le sens de la reproductibilité mais en pratique, ce n'est pas toujours possible pour diverses raisons.
On peut la décomposer :
- data transparency : ”Providing full access to data itself“
- analytic transparency : ”Information about data analysis“
- production transparency : ”Process of data collection“

# 1.Module 1 : Notes, indexation, pérennité

DocFetcher → indexation locale  
Exiftool → éditer les méta-données  
Pérennité pour les traitements de texte (entre autres)

# 2.Module 2 : Document computationnel
Etudes ratées célèbres :
- Reinhart et Rogoff: Growth in a Time of Debt
- 2010 Bennett et al.: Le saumon mort IRM → parodie pour montrer la facilité de mal interpréter des données d'IRM
- 2016 Elkund, Nicholas and Knutsson : 3600 articles pourraient être invalidés à cause d'un bug dans un logiciel
- 2003,2005 Geoffrey Chang : sur les bactéries → inversion de colonne dans l'analyse de données 5 articles rétractés !

Nécessiter de tout **expliciter**
→ transparence pour soi (rigueur) et pour les autres

Avec les logiciels sophistiqués, on va très vite mais on fait plus facilement des erreurs.  
Tableurs - code de gênes ou de protéines interprétés comme des dates ou des chiffres  
Logiciels propriétaires - non-lisible

Pile logiciel : s'assurer de la fiabilité de chaque brique.

Manque de rigueur, perte de données  
Back-up, historique, revue de code

Description de haut niveau (article, voir présentation ppt!) nécessaire mais important de tout tracer et rendre disponible !!

Tout publier montre les faiblesses mais valide la fiabilité, expose les erreurs et tant mieux pour être corrigé   
Données sensibles, OK mais doit être inspectable à la demande.

Les 100 articles les plus cités en 2014 (58M articles) : que de la méthodo et des logiciels !  
43% jamais cités, 74% moins de 10 fois. [Nature top100 papers](https://www.nature.com/news/the-top-100-papers-1.16224)

### Jupyter

Jupyter est en JSON → pas fichier texte !
[Méthodo Recherche (Martin Quinson)](https://people.irisa.fr/Martin.Quinson/Research/Students/Methodo/)
Not. pour la biblio : (Efficient Reading of Papers in Science and technology)[https://people.irisa.fr/Martin.Quinson/Research/Students/efficientReading.pdf]

- [ ] Ne pas oublier ces cases à cocher sur Markdown, qui sont susceptibles de faire des jolies checklists !
- [X] Ca, c'est fait !

# X.Citations à garder

*Il me semble que l'apparat savant contemporain est comparable à un grand magasin qui contient une grande quantité de produits, stockés de façon totalement désordonnée, mélangée ; où les nombres ou lettres d'indexation manquent ; où les inventaires et livres de comptes pouvant aider à ordonner le contenu ont disparu. Plus grande est la quantité d'objets amassés, plus petite est leur utilité. Ainsi, ne devrions nous pas seulement essayer de rassembler de nouveaux objets de toutes provenances, mais nous devrions aussi essayer d'ordonner ceux que nous avons déjà.*  
Leibniz

*Le but de toute cette pratique de prise de notes est de préserver la valeur [le temps et les moyens humains et matériels investis dans la recherche]. Elle devrait être soigneusement conçus pour s'adapter aux conditions de chaque laboratoire et devraient être adéquate mais pas trop élaborés. __Si l'on exige trop de la nature humaine, le système ne fonctionnera pas.__*  
E. Bright Wilson

*An article about computational science in a scientific publication is not the scholarship itself, it is merely advertising of the scholarship. The actual scholarship is the complete software development environment and the complete set of instructions which generated the figures.*  
Jonathan Buckheit and David Donoho
